Plugin install from Github should fail with a message if Git is not installed #902

lighthouse-import opened this Issue May 16, 2011 · 2 comments


None yet

1 participant


Imported from Lighthouse. Original ticket at:
Created by Matt Ryall - 2011-03-05 06:14:19 UTC

Working on a new machine, I didn't have git installed when I was trying to install a rails plugin. Unfortunately, the plugin installation fails silently with no indication of what is happening:

$ r plugin install git://

It would be great if this failed with a meaningful message instead. Even just 'git is not installed' would do it.

Several other people have also had the same problem:


Imported from Lighthouse.
Comment by Eian Counts - 2011-03-08 04:45:35 UTC

For what it is worth, attached a patch that checks (also looks for svn).

Also created a pull request at #208.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment